got code working to download each piece of the cape code separately
diff --git a/bbb_cape/src/flasher/build.sh b/bbb_cape/src/flasher/build.sh
new file mode 100755
index 0000000..7e3ddd5
--- /dev/null
+++ b/bbb_cape/src/flasher/build.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -e
+
+[[ -d stm32flash ]] || ( git clone https://git.gitorious.org/stm32flash/stm32flash.git stm32flash &&
+	cd stm32flash && git checkout 16fbfe6e5854dc36f41712f60b2282cde7571afd && patch -p1 < ../0001-actually-calculate-and-send-a-checksum-for-individua.patch )
+
+../../../aos/build/build.sh atom flasher.gyp no "$@"